Package com.google.android.exoplayer2.extractor

## Class FlacStreamMetadata.SeekTable

- java.lang.Object
- - com.google.android.exoplayer2.extractor.FlacStreamMetadata.SeekTable

- Enclosing class:
    FlacStreamMetadata

      public static class FlacStreamMetadata.SeekTable
      extends Object

  A FLAC seek table.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long[]` | `pointOffsets` | Seek points byte offsets from the first frame.
    `long[]` | `pointSampleNumbers` | Seek points sample numbers.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeekTable​(long[] pointSampleNumbers, long[] pointOffsets)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pointSampleNumbers

          public final long[] pointSampleNumbers

      Seek points sample numbers.

    - #### pointOffsets

          public final long[] pointOffsets

      Seek points byte offsets from the first frame.

  - ### Constructor Detail

    - #### SeekTable

          public SeekTable​(long[] pointSampleNumbers,
                           long[] pointOffsets)